For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Create Vault Payment Account

POST
https://javelin.runpayments.io/api/v1/vault_payment_accounts
POST
/api/v1/vault_payment_accounts
$curl -X POST https://javelin.runpayments.io/api/v1/vault_payment_accounts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Testing Test",
> "mid": "800000001780",
> "account_token": "9546584504635454",
> "vault_id": 1,
> "is_default": true,
> "address1": "123 Winding Way",
> "city": "San Francisco",
> "region": "CA",
> "country": "US",
> "account_zip": "55555",
> "email": "test@test.com",
> "phone": "5485429876",
> "custom06": "User 5",
> "custom07": "NW Territory",
> "custom08": "786352"
>}'
1{
2 "uuid": "1f0ebd06-1df3-6b70-87a3-b640c0589dea",
3 "vault_id": 59803,
4 "mid": "800000001780",
5 "name": "Testing Test",
6 "account_type": 1,
7 "is_default": true,
8 "zipcode": "55555",
9 "address1": "123 Winding Way",
10 "address2": "string",
11 "city": "San Francisco",
12 "region": "CA",
13 "country": "US",
14 "phone": "5485429876",
15 "email": "test@test.com",
16 "account_token": "9546584504635454",
17 "custom06": "User 5",
18 "custom07": "NW Territory",
19 "custom08": "786352",
20 "created_date": "2026-01-07T13:54:28.182Z"
21}
Creates a new vault payment account for secure storage of payment information
Was this page helpful?
Previous

Get Vault Payment Account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Cardholder name or account holder name
midstringRequired
Merchant ID associated with this vault
account_tokenstringRequired
Tokenized representation of the payment account.
vault_idintegerOptional

Unique identifier for the vault payment method. *Required if updating an existing vault.

is_defaultbooleanOptional
Whether this is the default payment method for the customer
address1stringOptional
Billing address line 1
citystringOptional
Billing address city
regionstringOptional

Billing address state/province/region

countrystringOptional
Billing address country code
account_zipstringOptional

Billing address ZIP/postal code

emailstringOptional
Customer email address
phonestringOptional
Customer phone number
custom06stringOptional

Custom field for merchant-specific data

custom07stringOptional

Custom field for merchant-specific data

custom08stringOptional

Custom field for merchant-specific data

custom09stringOptional

Custom field for merchant-specific data

custom10stringOptional

Custom field for merchant-specific data

Response

Vault payment account created successfully
uuidstringformat: "uuid"
Universal unique identifier for the payment account
vault_idinteger
Unique identifier for the vault payment method
midstring
Merchant ID associated with this vault
namestring
Cardholder name or account holder name
account_typeinteger

Type of payment account (1=Credit, 2=Debit, 3=Checking, 4=Savings)

is_defaultboolean
Whether this is the default payment method for the customer
zipcodestring

Billing address ZIP/postal code

address1string
Billing address line 1
address2string or null
Billing address line 2
citystring
Billing address city
regionstring

Billing address state/province/region

countrystring
Billing address country code
phonestring
Customer phone number
emailstring
Customer email address
account_tokenstring
Tokenized representation of the payment account
custom06string or null

Custom field for merchant-specific data

custom07string or null

Custom field for merchant-specific data

custom08string or null

Custom field for merchant-specific data

custom09string or null

Custom field for merchant-specific data

custom10string or null

Custom field for merchant-specific data

created_datestringformat: "date-time"
Timestamp when the vault was created

Errors

400
Bad Request Error
401
Unauthorized Error